Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.common.queueing.priority
Class DoublyLinkedNode<E>

    java.lang.Object
      lbg.common.queueing.priority.DoublyLinkedNode<E>

    public class DoublyLinkedNode<E>

extends java.lang.Object

Helper class used to create double-linked lists.

Author:
  Cyril Briquet

Constructor Summary
`DoublyLinkedNode(E info)`
`DoublyLinkedNode(E info, DoublyLinkedNode<E> prev)`
`DoublyLinkedNode(E info, DoublyLinkedNode<E> prev, DoublyLinkedNode<E> next)`

Method Summary
`DoublyLinkedNode<E>` | `getNext()`
`DoublyLinkedNode<E>` | `getPrev()`
`E` | `info()`
`void` | `setNext(DoublyLinkedNode<E> next)`
`void` | `setPrev(DoublyLinkedNode<E> prev)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoublyLinkedNode

    public DoublyLinkedNode(E info,
                            DoublyLinkedNode<E> prev,
                            DoublyLinkedNode<E> next)

### DoublyLinkedNode

    public DoublyLinkedNode(E info,
                            DoublyLinkedNode<E> prev)

### DoublyLinkedNode

    public DoublyLinkedNode(E info)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### info

    public E info()

### getPrev

    public DoublyLinkedNode<E> getPrev()

### getNext

    public DoublyLinkedNode<E> getNext()

### setPrev

    public void setPrev(DoublyLinkedNode<E> prev)

### setNext

    public void setNext(DoublyLinkedNode<E> next)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.